Index: trunk/libIGCM/AA_RunChecker
===================================================================
--- trunk/libIGCM/AA_RunChecker	(revision 1524)
+++ trunk/libIGCM/AA_RunChecker	(revision 1525)
@@ -14,4 +14,5 @@
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
 #-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene-amd export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #======================================================================#
Index: trunk/libIGCM/AA_SE_Checker
===================================================================
--- trunk/libIGCM/AA_SE_Checker	(revision 1524)
+++ trunk/libIGCM/AA_SE_Checker	(revision 1525)
@@ -14,4 +14,5 @@
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
 #-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene-amd export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #D- Task type DO NOT CHANGE (computing, post-processing or checking)
Index: trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- trunk/libIGCM/AA_SaveSourceModifications	(revision 1524)
+++ trunk/libIGCM/AA_SaveSourceModifications	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r SaveSource      # Job name
+#-Q- irene-amd #MSUB -o SaveSource.out_%I
+#-Q- irene-amd #MSUB -e SaveSource.out_%I
+#-Q- irene-amd #MSUB -n 1              # Number of cores
+#-Q- irene-amd #MSUB -T 7200          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- trunk/libIGCM/AA_TimeSeries_Checker	(revision 1524)
+++ trunk/libIGCM/AA_TimeSeries_Checker	(revision 1525)
@@ -14,4 +14,5 @@
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
 #-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene-amd export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #D- Task type DO NOT CHANGE (computing, post-processing or checking)
Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 1524)
+++ trunk/libIGCM/AA_additionnal	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd #########################
+#-Q- irene-amd ## IRENE-ROME TGCC/CEA ##
+#-Q- irene-amd #########################
+#-Q- irene-amd #MSUB -r ATL_ADD      # Job name
+#-Q- irene-amd #MSUB -o ATL_ADD.out_%I
+#-Q- irene-amd #MSUB -e ATL_ADD.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 1524)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ###########################
+#-Q- irene-amd ## IRENE-ROME   TGCC/CEA ##
+#-Q- irene-amd ###########################
+#-Q- irene-amd #MSUB -r ATL_LMDZ      # Job name
+#-Q- irene-amd #MSUB -o ATL_LMDZ.out_%I
+#-Q- irene-amd #MSUB -e ATL_LMDZ.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 7200          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1524)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r ATL_OPA      # Job name
+#-Q- irene-amd #MSUB -o ATL_OPA.out_%I
+#-Q- irene-amd #MSUB -e ATL_OPA.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1524)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r ATL_ORCH      # Job name
+#-Q- irene-amd #MSUB -o ATL_ORCH.out_%I
+#-Q- irene-amd #MSUB -e ATL_ORCH.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 7200          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- trunk/libIGCM/AA_atlas_PISCES	(revision 1524)
+++ trunk/libIGCM/AA_atlas_PISCES	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r ATL_PIS      # Job name
+#-Q- irene-amd #MSUB -o ATL_PIS.out_%I
+#-Q- irene-amd #MSUB -e ATL_PIS.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 7200         # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_clean_PeriodLength
===================================================================
--- trunk/libIGCM/AA_clean_PeriodLength	(revision 1524)
+++ trunk/libIGCM/AA_clean_PeriodLength	(revision 1525)
@@ -13,4 +13,5 @@
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project::
 #-Q- irene export BRIDGE_MSUB_PROJECT=::default_project::
+#-Q- irene-amd export BRIDGE_MSUB_PROJECT=::default_project::
 
 #set -eu
Index: trunk/libIGCM/AA_clean_latestPackperiod
===================================================================
--- trunk/libIGCM/AA_clean_latestPackperiod	(revision 1524)
+++ trunk/libIGCM/AA_clean_latestPackperiod	(revision 1525)
@@ -13,4 +13,5 @@
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
 #-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene-amd export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #set -eu
Index: trunk/libIGCM/AA_create_multi_se
===================================================================
--- trunk/libIGCM/AA_create_multi_se	(revision 1524)
+++ trunk/libIGCM/AA_create_multi_se	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r MULTISE     # Job name
+#-Q- irene-amd #MSUB -o MULTISE.out_%I
+#-Q- irene-amd #MSUB -e MULTISE.out_%I
+#-Q- irene-amd #MSUB -n 1              # Number of cores
+#-Q- irene-amd #MSUB -T 7200          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 1524)
+++ trunk/libIGCM/AA_create_se	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r SE     # Job name
+#-Q- irene-amd #MSUB -o SE.out_%I
+#-Q- irene-amd #MSUB -e SE.out_%I
+#-Q- irene-amd #MSUB -n 1              # Number of cores
+#-Q- irene-amd #MSUB -T 36000          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- jeanzay #!/bin/ksh 
 #-Q- jeanzay ######################
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 1524)
+++ trunk/libIGCM/AA_create_ts	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r TS            # Job name
+#-Q- irene-amd #MSUB -o TS.out_%I
+#-Q- irene-amd #MSUB -e TS.out_%I
+#-Q- irene-amd #MSUB -n 1             # Number of cores
+#-Q- irene-amd #MSUB -T 80000         # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- jeanzay #!/bin/ksh 
 #-Q- jeanzay ######################
Index: trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- trunk/libIGCM/AA_metrics_LMDZ	(revision 1524)
+++ trunk/libIGCM/AA_metrics_LMDZ	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r METRICS_LMDZ   # Job name
+#-Q- irene-amd #MSUB -o METRICS_LMDZ.out_%I
+#-Q- irene-amd #MSUB -e METRICS_LMDZ.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 14400          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_metrics_NEMO
===================================================================
--- trunk/libIGCM/AA_metrics_NEMO	(revision 1524)
+++ trunk/libIGCM/AA_metrics_NEMO	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r METRICS_NEMO # Job name
+#-Q- irene-amd #MSUB -o METRICS_NEMO.out_%I
+#-Q- irene-amd #MSUB -e METRICS_NEMO.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 14400        # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_metrics_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1524)
+++ trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r METRICS_ORCHIDEE # Job name
+#-Q- irene-amd #MSUB -o METRICS_ORCHIDEE.out_%I
+#-Q- irene-amd #MSUB -e METRICS_ORCHIDEE.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 14400           # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 1524)
+++ trunk/libIGCM/AA_monitoring	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r MONITORING     # Job name
+#-Q- irene-amd #MSUB -o MONITORING.out_%I
+#-Q- irene-amd #MSUB -e MONITORING.out_%I
+#-Q- irene-amd #MSUB -n 1              # Number of cores
+#-Q- irene-amd #MSUB -T 80000          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- jeanzay #!/bin/ksh 
 #-Q- jeanzay ######################
Index: trunk/libIGCM/AA_pack_debug
===================================================================
--- trunk/libIGCM/AA_pack_debug	(revision 1524)
+++ trunk/libIGCM/AA_pack_debug	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r PACKDEBUG     # Job name
+#-Q- irene-amd #MSUB -o PACKDEBUG.out_%I
+#-Q- irene-amd #MSUB -e PACKDEBUG.out_%I
+#-Q- irene-amd #MSUB -n 1              # Number of cores
+#-Q- irene-amd #MSUB -T 3600          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- jeanzay #!/bin/ksh 
 #-Q- jeanzay ######################
Index: trunk/libIGCM/AA_pack_output
===================================================================
--- trunk/libIGCM/AA_pack_output	(revision 1524)
+++ trunk/libIGCM/AA_pack_output	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r PACKOUTPUT     # Job name
+#-Q- irene-amd #MSUB -o PACKOUTPUT.out_%I
+#-Q- irene-amd #MSUB -e PACKOUTPUT.out_%I
+#-Q- irene-amd #MSUB -n 1              # Number of cores
+#-Q- irene-amd #MSUB -T 36000          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- jeanzay #!/bin/ksh 
 #-Q- jeanzay ######################
Index: trunk/libIGCM/AA_pack_restart
===================================================================
--- trunk/libIGCM/AA_pack_restart	(revision 1524)
+++ trunk/libIGCM/AA_pack_restart	(revision 1525)
@@ -26,4 +26,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ##########################
+#-Q- irene-amd ## IRENE-ROME  TGCC/CEA ##
+#-Q- irene-amd ##########################
+#-Q- irene-amd #MSUB -r PACKRESTART     # Job name
+#-Q- irene-amd #MSUB -o PACKRESTART.out_%I
+#-Q- irene-amd #MSUB -e PACKRESTART.out_%I
+#-Q- irene-amd #MSUB -n 1              # Number of cores
+#-Q- irene-amd #MSUB -T 7200          # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node::
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- jeanzay #!/bin/ksh 
 #-Q- jeanzay ######################
Index: trunk/libIGCM/AA_purge_simulation
===================================================================
--- trunk/libIGCM/AA_purge_simulation	(revision 1524)
+++ trunk/libIGCM/AA_purge_simulation	(revision 1525)
@@ -13,4 +13,5 @@
 #-Q- curie export BRIDGE_MSUB_PROJECT=::default_project:: 
 #-Q- irene export BRIDGE_MSUB_PROJECT=::default_project:: 
+#-Q- irene-amd export BRIDGE_MSUB_PROJECT=::default_project:: 
 
 #set -eu
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1524)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1525)
@@ -28,4 +28,18 @@
 #-Q- irene #MSUB -m store,work,scratch
 #-Q- irene set +x
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r REBUILDWRK    # Job name
+#-Q- irene-amd #MSUB -o REBUILDWRK.out_%I
+#-Q- irene-amd #MSUB -e REBUILDWRK.out_%I
+#-Q- irene-amd #MSUB -n 1
+#-Q- irene-amd #MSUB -T 36000         # Maximum elapsed time
+#-Q- irene-amd #MSUB -q ::default_node:: 
+#-Q- irene-amd #MSUB -c ::default_core::
+#-Q- irene-amd #MSUB -Q normal
+#-Q- irene-amd #MSUB -A ::default_post_project::
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd set +x
 #-Q- ada #!/bin/ksh
 #-Q- ada #######################