Index: trunk/libIGCM/AA_job
===================================================================
--- trunk/libIGCM/AA_job	(revision 1606)
+++ trunk/libIGCM/AA_job	(revision 1607)
@@ -176,5 +176,5 @@
 #D- -1. PLACE FOR USER MODIFICATION
 #D-     - Job Verbosity
-#D-     - PeriodNb
+#D-     - NbPeriodsPerJob
 #D-     - Experience type : DEB(ug), DEV(elopment), RUN
 #D--------------------------------------------------------------------==
@@ -200,5 +200,5 @@
 
 #D- Number of execution in one job
-PeriodNb=1
+NbPeriodsPerJob=1
 
 #D-
@@ -395,5 +395,5 @@
 
 PeriodContinue=false
-if [ ${Period} -le ${PeriodNb} ]; then
+if [ ${Period} -le ${NbPeriodsPerJob} ]; then
   PeriodContinue=true
 fi
@@ -401,5 +401,5 @@
 
   echo
-  echo "Starting iteration ${Period} / ${PeriodNb}"
+  echo "Starting iteration ${Period} / ${NbPeriodsPerJob}"
 
   #D-
@@ -637,5 +637,5 @@
 
   PeriodContinue=false
-  if [ ${Period} -le ${PeriodNb} ]; then
+  if [ ${Period} -le ${NbPeriodsPerJob} ]; then
     PeriodContinue=true
   fi
Index: trunk/libIGCM/libIGCM.card
===================================================================
--- trunk/libIGCM/libIGCM.card	(revision 1606)
+++ trunk/libIGCM/libIGCM.card	(revision 1607)
@@ -10,8 +10,8 @@
 #**************************************************************
 
-#D- You MUST change cards (and first config.card) parameters too be compatible
+#D- You MUST change cards (and first config.card) parameters to be compatible
 #D- with your modifications here.
 [UserChanges]
-PeriodNb=2
+NbPeriodsPerJob=2
 #config_UserChoices_DateEnd=1900-02-03
 #config_UserChoices_PeriodLength= 1D
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1606)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 1607)
@@ -450,20 +450,20 @@
 
   # Here we offer the possibility to redefine R_INIT, R_BC
-  # and PeriodNb through config.card
+  # and NbPeriodsPerJob through config.card
   R_INIT=${config_UserChoices_R_INIT:=${R_IN}/INIT}
   echo
-  IGCM_debug_Print 2 "(Re)Define R_INIT, R_BC and PeriodNb"
+  IGCM_debug_Print 2 "(Re)Define R_INIT, R_BC and NbPeriodsPerJob"
   IGCM_debug_Print 3 "R_IN=${R_IN}"
   IGCM_debug_Print 3 "R_INIT=${R_INIT}"
   R_BC=${config_UserChoices_R_BC:=${R_IN}/BC}
   IGCM_debug_Print 3  "R_BC=${R_BC}"
-  PeriodNb=${config_UserChoices_PeriodNb:=${PeriodNb}}
-  IGCM_debug_Print 3  "Loop in main Job with ${PeriodNb} period(s)"
-
+  NbPeriodsPerJob=${config_UserChoices_NbPeriodsPerJob:=${NbPeriodsPerJob}}
+  IGCM_debug_Print 3  "Loop in main Job with ${NbPeriodsPerJob} period(s)"
+  
   # SD ADA SPECIFIC #
   #      TO FIX     #
   #IGCM_sys_TestDirArchive ${R_IN}
   #[ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
-
+  
   if ( ${FirstInitialize} ) ; then
     IGCM_sys_MkdirArchive   ${R_SAVE}
@@ -1411,6 +1411,6 @@
     consumeHoursPerWholeSimulation=$( echo "scale=6;${consumeHoursPerPeriod}/${PeriodLengthInDays}*${ExperienceLengthInDays}" | bc )
 
-    recommendedPeriodNb=$( echo "scale=6;${jobWarningDelay}/3600/${consumeHoursPerPeriod}*${coreNumber}" | bc )
-
+    recommendedNbPeriodsPerJob=$( echo "scale=6;${jobWarningDelay}/3600/${consumeHoursPerPeriod}*${coreNumber}" | bc )
+    
     IGCM_sys_SendMail Accounting
   fi
@@ -1459,6 +1459,6 @@
         IGCM_debug_Print 1  "Change config_UserChoices_PeriodLength=${config_UserChoices_PeriodLength}"
         ;;
-      PeriodNb)
-        IGCM_debug_Print 1  "Loop in main Job with ${PeriodNb} period(s)"
+      NbPeriodsPerJob)
+        IGCM_debug_Print 1  "Loop in main Job with ${NbPeriodsPerJob} period(s)"
         ;;
       config_Post_RebuildFrequency)
Index: trunk/libIGCM/libIGCM_ensemble/ENSEMBLE_DOC.txt
===================================================================
--- trunk/libIGCM/libIGCM_ensemble/ENSEMBLE_DOC.txt	(revision 1606)
+++ trunk/libIGCM/libIGCM_ensemble/ENSEMBLE_DOC.txt	(revision 1607)
@@ -89,5 +89,5 @@
 
 This will create all the directories of the ensemble and Qsub.xxx.sh, a shell file 
-containing all command to submit all jobs (PeriodNb=60 for all simulations).
+containing all command to submit all jobs (NbPeriodsPerJob=10 for all simulations).
 
 The Qclean.PeriodLength.xxx.sh is bash file to use clean_PeriodLength script for
Index: trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh
===================================================================
--- trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1606)
+++ trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1607)
@@ -50,5 +50,5 @@
       Job_Period=${answer}
   fi
-  print "\nPeriodNb in ensemble Jobs is ${Job_Period}"
+  print "\nNbPeriodsPerJob in ensemble Jobs is ${Job_Period}"
   
   IGCM_debug_Print 1 "Ens_PERTURB ACTIVE     = ${ensemble_Ens_PERTURB_active}"
@@ -181,5 +181,5 @@
   sed -e "s/\(#.*Script_Output_\)${config_UserChoices_JobName}\(\.*\)/\1${MemberDir}\2/" \
       -e "s/\(#.*\)${config_UserChoices_JobName}\(\.*\)/\1${MemberDir} \2/"              \
-      -e "s/^PeriodNb=.*/PeriodNb=${Job_Period}/"                                        \
+      -e "s/^NbPeriodsPerJob=.*/NbPeriodsPerJob=${Job_Period}/"                                        \
       ${SUBMIT_DIR}/${StartDir}/${MemberDir}/Job_${MemberDir} > Job_${MemberDir}.tmp
   IGCM_sys_Mv Job_${MemberDir}.tmp ${SUBMIT_DIR}/${StartDir}/${MemberDir}/Job_${MemberDir}
Index: trunk/libIGCM/libIGCM_sys/jobAccounting.mail
===================================================================
--- trunk/libIGCM/libIGCM_sys/jobAccounting.mail	(revision 1606)
+++ trunk/libIGCM/libIGCM_sys/jobAccounting.mail	(revision 1607)
@@ -5,5 +5,5 @@
 The whole simulation will consume around ${consumeHoursPerWholeSimulation} hours. To be compared with your project allocation.
 
-For your case \(a job duration of ${jobWarningDelay} seconds\) the recommended PeriodNb is around ${recommendedPeriodNb}. To be compare with the current setting \(Job_${config_UserChoices_JobName} parameter\) : PeriodNb=${PeriodNb}
+For your case \(a job duration of ${jobWarningDelay} seconds\) the recommended NbPeriodsPerJob is around ${recommendedNbPeriodsPerJob}. To be compare with the current setting \(Job_${config_UserChoices_JobName} parameter\) : NbPeriodsPerJob=${NbPeriodsPerJob}
 
 Greetings!